:root {
    /* Primary */
    --color-primary: #F72F3A;

    --color-html-background: #0b0b0c;

    --color-background01: #FFFFFF;
    --color-background02: #f5eeee;
    --color-box01: #F3F4F6;
    --color-box02: #fff8f8;
    --color-border: #e0e0e0;

    /* dark */
    --color-dark-background01: #18171D;
    --color-dark-background02: #0a0a0a;
    --color-dark-box01: #2C2C34;
    --color-dark-box02: #111113;
    --color-dark-border: #38384A;

    /* Text */
    --color-text-primary: #17161B;
    --color-text-secondary: #5E6881;
    --color-text-disabled: #fcfcfc;
}

* {
    margin: 0;
    padding: 0;
    text-align: center;

    font-family: "Pretendard Variable", Pretendard, -apple-system, BlinkMacSystemFont, system-ui, Roboto, "Helvetica Neue", "Segoe UI", "Apple SD Gothic Neo", "Noto Sans KR", "Malgun Gothic", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", sans-serif;
}

html,
body {
    min-height: 100%;
}

body{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    padding: 4rem 2rem;
    background: linear-gradient(180deg, var(--color-background01), var(--color-background02) 95%);
    color: var(--color-text-primary);
}

body.dark {
    background: linear-gradient(180deg, var(--color-dark-background01), var(--color-dark-background02));
    color: var(--color-text-disabled);
}

/* ------------------------------------------ */

.header-description{
    color: var(--color-text-secondary);
}

.exchange-header{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
}

.exchange-container {
    max-width: 1200px;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 1rem;
    margin: 0 auto;
}

.exchange-box {
    display: flex;
    gap: 1.5rem;
    padding: 1.2rem;
    border: 1px solid #ccc;
    border-radius: 10px;
    cursor: pointer;
    align-items: center;
    height: fit-content;
}

body.dark .exchange-box {
    border: 1px solid var(--color-dark-border);
}

.exchange-logo {
    width: 4rem;
    height: 4rem;
    border-radius: 0.6rem;
    display: block;
    border: 1px solid var(--color-border);
}

.exchange-button {
    display: flex;
    align-items: center;
    color: gray;
    gap: 0.5rem;
}

.exchange-name {text-align: start;}
